<?xml version="1.0" encoding="gb2312" ?> 
<xs:schema targetNamespace="http://www.h3c.com/netconf/config:1.0"
                  elementFormDefault="qualified"
                  xmlns="http://www.h3c.com/netconf/config:1.0"
                  xmlns:xs="http://www.w3.org/2001/XMLSchema"
                  xmlns:netconf ="urn:ietf:params:xml:ns:netconf:base:1.0" 
                  xmlns:base="http://www.h3c.com/netconf/base:1.0">

  <xs:import namespace="http://www.h3c.com/netconf/base:1.0" schemaLocation="basetype.xsd"></xs:import>
  <xs:import schemaLocation="netconf.xsd" namespace="urn:ietf:params:xml:ns:netconf:base:1.0"></xs:import>


  <xs:element name="Fundamentals">
    <xs:complexType>
      <xs:choice maxOccurs="unbounded">
        <xs:element name="WebUI" minOccurs="0">
          <xs:annotation>
            <xs:documentation>
              WEB service information table
            </xs:documentation>
          </xs:annotation>
          <xs:complexType >
            <xs:all>
              <xs:element name="SessionAgingTime" minOccurs="0" nillable="true"  >
                <xs:annotation>
                  <xs:documentation>
                    Web user connection timeout (minutes[1~999])
                  </xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:simpleContent>
                    <xs:restriction base="base:UnsignedInteger32">
                      <xs:minInclusive value ="1"></xs:minInclusive>
                      <xs:maxInclusive value="999"></xs:maxInclusive>
                    </xs:restriction>
                  </xs:simpleContent>
                </xs:complexType>
              </xs:element>
              <xs:element name ="HTTP" minOccurs="0">
                <xs:annotation>
                  <xs:documentation>
                    HTTP configuration information.
                  </xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:all>
                    <xs:element name="State" type="base:EnableState" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>
                          HTTP status.
                        </xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="Port" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>
                          HTTP port number.[1-65535]
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedShort">
                            <xs:minInclusive value ="1"></xs:minInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="AclNumber" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>
                          HTTP ACL number in use.[2000-2999]
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value ="2000"></xs:minInclusive>
                            <xs:maxInclusive value="2999"></xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                  </xs:all>
                </xs:complexType>
              </xs:element>
              <xs:element name ="HTTPS" minOccurs="0">
                <xs:annotation>
                  <xs:documentation>
                    HTTPS configuration information.
                  </xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:all>
                    <xs:element name="State" type="base:EnableState" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>
                          HTTPS status.
                        </xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="Port" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>
                          HTTPS port number.[1-65535]
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedShort">
                            <xs:minInclusive value ="1"></xs:minInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="AclNumber" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>
                          HTTPS ACL number in use.[2000-2999]
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value ="2000"></xs:minInclusive>
                            <xs:maxInclusive value="2999"></xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                  </xs:all>
                </xs:complexType>
              </xs:element>
            </xs:all>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
      </xs:choice>
      <xs:attributeGroup ref="base:NodeAttributeGroup"></xs:attributeGroup>
    </xs:complexType>
  </xs:element>
</xs:schema>
